OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
opal.h File Reference
`#include "opal_config.h"`

Go to the source code of this file.

## Functions
OPAL_DECLSPEC int | opal_init (int *pargc, char ***pargv)
| Initialize the OPAL layer, including the MCA system. More...
OPAL_DECLSPEC int | opal_finalize (void)
| Finalize the OPAL layer, including the MCA system. More...
OPAL_DECLSPEC int | opal_init_util (int *pargc, char ***pargv)
| Initialize the OPAL layer, excluding the MCA system. More...
OPAL_DECLSPEC int | opal_finalize_util (void)
| Finalize the OPAL layer, excluding the MCA system. More...
OPAL_DECLSPEC int | opal_register_params (void)
| Internal function. More...

## Variables
BEGIN_C_DECLS OPAL_DECLSPEC const char | opal_version_string []
| version string of opal
OPAL_DECLSPEC int | opal_cache_line_size

## Function Documentation

OPAL_DECLSPEC int opal_finalize | ( | void |  | ) |

Finalize the OPAL layer, including the MCA system.

Return values

  OPAL_SUCCESS | Upon success.
  OPAL_ERROR | Upon failure.

Note
  If this function is called, opal_finalize_util() should not be called.

References opal_cr_finalize(), opal_finalize_util(), and opal_progress_finalize().

Referenced by orte_finalize().

OPAL_DECLSPEC int opal_finalize_util | ( | void |  | ) |

Finalize the OPAL layer, excluding the MCA system.

Return values

  OPAL_SUCCESS | Upon success.
  OPAL_ERROR | Upon failure.

Note
  If this function is called, opal_finalize() should not be called.

References mca_base_param_finalize(), opal_class_finalize(), opal_dss_close(), opal_malloc_finalize(), and opal_output_finalize().

Referenced by ompi_mpi_finalize(), and opal_finalize().

OPAL_DECLSPEC int opal_init | ( | int * | pargc,
|  | char *** | pargv
| ) |  |

Initialize the OPAL layer, including the MCA system.

Return values

  OPAL_SUCCESS | Upon success.
  OPAL_ERROR | Upon failure.

Note
  If this function is called, opal_init_util() should not be called.

References opal_cr_init(), opal_init_util(), opal_progress_event_users_increment(), and opal_progress_init().

Referenced by orte_init().

OPAL_DECLSPEC int opal_init_util | ( | int * | pargc,
|  | char *** | pargv
| ) |  |

Initialize the OPAL layer, excluding the MCA system.

Return values

  OPAL_SUCCESS | Upon success.
  OPAL_ERROR | Upon failure.

Note
  If this function is called, opal_init() should not be called.

References mca_base_param_init(), opal_dss_open(), opal_malloc_init(), opal_output_init(), and opal_register_params().

Referenced by ompi_mpi_init(), and opal_init().

OPAL_DECLSPEC int opal_register_params | ( | void |  | ) |

Internal function.

Do not call.

References mca_base_param_reg_int_name(), and mca_base_param_reg_string_name().

Referenced by opal_init_util().